Index: /orxonox/branches/movie_player/src/util/resource_manager.h
===================================================================
--- /orxonox/branches/movie_player/src/util/resource_manager.h	(revision 4216)
+++ /orxonox/branches/movie_player/src/util/resource_manager.h	(revision 4217)
@@ -18,5 +18,11 @@
 
 //! An eumerator for different fileTypes the resourceManager supports \todo WAV, MP3, OGG support
-enum ResourceType {OBJ, PRIM, WAV, MP3, OGG, TTF, IMAGE};
+enum ResourceType {OBJ,
+		   PRIM,
+		   WAV,
+		   MP3,
+		   OGG,
+		   TTF,
+		   IMAGE};
 //! An enumerator for different UNLOAD-types. 
 /**
@@ -26,5 +32,8 @@
    RP_GAME: will be unloaded at the end of the whole Game (when closing orxonox)
 */
-enum ResourcePriority {RP_NO = 0, RP_LEVEL = 1, RP_CAMPAIGN = 2, RP_GAME = 3};
+enum ResourcePriority {RP_NO = 0,
+		       RP_LEVEL = 1,
+		       RP_CAMPAIGN = 2,
+		       RP_GAME = 3};
 
 //! A Struct that keeps track about A resource its name its Type, and so on
@@ -65,4 +74,8 @@
 
   bool setDataDir(const char* dataDir);
+  /** \returns the Name of the data directory */
+  inline const char* getDataDir(void) const {return this->dataDir;}
+
+  bool checkDataDir(const char* fileInside);
   bool addImageDir(char* imageDir);
   void* load(const char* fileName, ResourcePriority prio = RP_NO,
@@ -78,5 +91,9 @@
   // utility functions of this class
   static bool isDir(const char* directory);
-  static bool isFile(const char* directory);
+  static bool isFile(const char* fileName);
+  static bool touchFile(const char* fileName);
+  static bool deleteFile(const char* fileName);
+  static char* homeDirCheck(const char* fileName);
+  static char* getFullName(const char* fileName);
 
  private:
Index: /orxonox/branches/movie_player/src/world_entities/environment.cc
===================================================================
--- /orxonox/branches/movie_player/src/world_entities/environment.cc	(revision 4216)
+++ /orxonox/branches/movie_player/src/world_entities/environment.cc	(revision 4217)
@@ -30,5 +30,4 @@
 {
   this->model = (Model*) ResourceManager::getInstance()->load("cube", RP_LEVEL);
-  //  this->model = new OBJModel("../data/models/fighter.obj");
 }
 
Index: /orxonox/branches/movie_player/src/world_entities/player.cc
===================================================================
--- /orxonox/branches/movie_player/src/world_entities/player.cc	(revision 4216)
+++ /orxonox/branches/movie_player/src/world_entities/player.cc	(revision 4217)
@@ -82,37 +82,4 @@
 Player::Player(TiXmlElement* root) : WorldEntity(root)
 {
-  /*
-    char* temp;
-    const char* string;
-    string = grabParameter( root, "name");
-    if( string == NULL)
-    {
-    PRINTF0("Player is missing a proper 'name'\n");
-    string = "Unknown";
-    temp = new char[strlen(string + 2)];
-    strcpy( temp, string);
-    this->setName( temp);
-    }
-    else
-    {
-    temp = new char[strlen(string + 2)];
-    strcpy( temp, string);
-    this->setName( temp);
-    }
-    
-    this->model = NULL;
-    string = grabParameter( root, "model");
-    if( string != NULL)
-    this->model = (Model*)ResourceManager::getInstance()->load(string, OBJ, RP_CAMPAIGN);
-    else
-    {
-    PRINTF0("Player is missing a proper 'model'\n");
-    this->model = (Model*)ResourceManager::getInstance()->load("models/reaplow.obj", OBJ, RP_CAMPAIGN);
-    }
-    if( this->model == NULL)
-    {
-    PRINTF0("Player model '%s' could not be loaded\n", string);
-    }
-  */
   this->weapons = new tList<Weapon>();
   this->activeWeapon = NULL;
@@ -294,9 +261,9 @@
 {
   PRINTF(3)("recieved command [%s]\n", cmd->cmd);
-  if( !strcmp( cmd->cmd, "up")) this->bUp = !cmd->bUp;
-  if( !strcmp( cmd->cmd, "down")) this->bDown = !cmd->bUp;
-  if( !strcmp( cmd->cmd, "left")) this->bLeft = !cmd->bUp;
-  if( !strcmp( cmd->cmd, "right")) this->bRight = !cmd->bUp;
-  if( !strcmp( cmd->cmd, "fire")) this->bFire = !cmd->bUp;
-  if( !strcmp( cmd->cmd, "mode")) if(cmd->bUp) this->bWeaponChange = !this->bWeaponChange;
-}
+  if( !strcmp( cmd->cmd, CONFIG_NAME_PLAYER_UP)) this->bUp = !cmd->bUp;
+  if( !strcmp( cmd->cmd, CONFIG_NAME_PLAYER_DOWN)) this->bDown = !cmd->bUp;
+  if( !strcmp( cmd->cmd, CONFIG_NAME_PLAYER_LEFT)) this->bLeft = !cmd->bUp;
+  if( !strcmp( cmd->cmd, CONFIG_NAME_PLAYER_RIGHT)) this->bRight = !cmd->bUp;
+  if( !strcmp( cmd->cmd, CONFIG_NAME_PLAYER_FIRE)) this->bFire = !cmd->bUp;
+  if( !strcmp( cmd->cmd, CONFIG_NAME_PLAYER_NEXT_WEAPON)) if(cmd->bUp) this->bWeaponChange = !this->bWeaponChange;
+}
Index: /orxonox/branches/movie_player/src/world_entities/skybox.cc
===================================================================
--- /orxonox/branches/movie_player/src/world_entities/skybox.cc	(revision 4216)
+++ /orxonox/branches/movie_player/src/world_entities/skybox.cc	(revision 4217)
@@ -66,5 +66,5 @@
       PRINTF(0)("SkyBox is missing a proper 'MaterialSet'\n");
     }
-  if( this->model == NULL)
+  if( this->skyModel == NULL)
     {
       PRINTF(0)("SkyBox model '%s' could not be loaded\n", string);
@@ -76,6 +76,7 @@
 {
   this->setClassName("SkyBox");
+  this->skyModel = NULL;
   this->material = new Material*[6];
-  for (int i = 0; i <6; i++) 
+  for (int i = 0; i < 6; i++) 
     {
       this->material[i] = new Material();
@@ -100,5 +101,5 @@
 SkyBox::~SkyBox()
 {
-  PRINTF(5)("Deleting the SkyBox\n");
+  PRINTF(5)("Deleting SkyBox\n");
   for (int i = 0; i < 6; i++)
     delete this->material[i];
@@ -179,5 +180,5 @@
   glTranslatef(r.x, r.y, r.z);
 
-  this->model->draw();
+  this->skyModel->draw();
 
   glPopMatrix();
@@ -192,42 +193,42 @@
 void SkyBox::rebuild()
 {
-  if (this->model)
-    delete model;
-  model = new Model();
-
-  model->addVertex (-0.5*size, -0.5*size, 0.5*size);  
-  model->addVertex (0.5*size, -0.5*size, 0.5*size);
-  model->addVertex (-0.5*size, 0.5*size, 0.5*size);
-  model->addVertex (0.5*size, 0.5*size, 0.5*size);
-  model->addVertex (-0.5*size, 0.5*size, -0.5*size);
-  model->addVertex (0.5*size, 0.5*size, -0.5*size);
-  model->addVertex (-0.5*size, -0.5*size, -0.5*size);
-  model->addVertex (0.5*size, -0.5*size, -0.5*size);
-
-  model->addVertexTexture (0.0, 0.0);
-  model->addVertexTexture (1.0, 0.0);
-  model->addVertexTexture (1.0, 1.0);
-  model->addVertexTexture (0.0, 1.0);
-
-  model->addVertexNormal (0.0, 0.0, 1.0);
-  model->addVertexNormal (0.0, 1.0, 0.0);
-  model->addVertexNormal (0.0, 0.0, -1.0);
-  model->addVertexNormal (0.0, -1.0, 0.0);
-  model->addVertexNormal (1.0, 0.0, 0.0);
-  model->addVertexNormal (-1.0, 0.0, 0.0);
-
-  model->setMaterial(material[0]);
-  model->addFace (4, VERTEX_TEXCOORD_NORMAL, 3,2,4, 4,3,4, 6,4,4, 5,1,4); // top
-  model->setMaterial(material[1]);
-  model->addFace (4, VERTEX_TEXCOORD_NORMAL, 7,4,2, 8,1,2, 2,2,2, 1,3,2); // bottom
-  model->setMaterial(material[2]);
-  model->addFace (4, VERTEX_TEXCOORD_NORMAL, 1,1,3, 2,2,3, 4,3,3, 3,4,3); // left
-  model->setMaterial(material[3]);
-  model->addFace (4, VERTEX_TEXCOORD_NORMAL, 5,3,1, 6,4,1, 8,1,1, 7,2,1); // right
-  model->setMaterial(material[4]);
-  model->addFace (4, VERTEX_TEXCOORD_NORMAL, 2,1,6, 8,2,6, 6,3,6, 4,4,6); // front
-  model->setMaterial(material[5]);
-  model->addFace (4, VERTEX_TEXCOORD_NORMAL, 7,1,5, 1,2,5, 3,3,5, 5,4,5); // back
+  if (this->skyModel)
+    delete skyModel;
+  skyModel = new Model();
+
+  this->skyModel->addVertex (-0.5*size, -0.5*size, 0.5*size);  
+  this->skyModel->addVertex (0.5*size, -0.5*size, 0.5*size);
+  this->skyModel->addVertex (-0.5*size, 0.5*size, 0.5*size);
+  this->skyModel->addVertex (0.5*size, 0.5*size, 0.5*size);
+  this->skyModel->addVertex (-0.5*size, 0.5*size, -0.5*size);
+  this->skyModel->addVertex (0.5*size, 0.5*size, -0.5*size);
+  this->skyModel->addVertex (-0.5*size, -0.5*size, -0.5*size);
+  this->skyModel->addVertex (0.5*size, -0.5*size, -0.5*size);
+
+  this->skyModel->addVertexTexture (0.0, 0.0);
+  this->skyModel->addVertexTexture (1.0, 0.0);
+  this->skyModel->addVertexTexture (1.0, 1.0);
+  this->skyModel->addVertexTexture (0.0, 1.0);
+
+  this->skyModel->addVertexNormal (0.0, 0.0, 1.0);
+  this->skyModel->addVertexNormal (0.0, 1.0, 0.0);
+  this->skyModel->addVertexNormal (0.0, 0.0, -1.0);
+  this->skyModel->addVertexNormal (0.0, -1.0, 0.0);
+  this->skyModel->addVertexNormal (1.0, 0.0, 0.0);
+  this->skyModel->addVertexNormal (-1.0, 0.0, 0.0);
+
+  this->skyModel->setMaterial(material[0]);
+  this->skyModel->addFace (4, VERTEX_TEXCOORD_NORMAL, 2,1,3, 3,2,3, 5,3,3, 4,0,3); // top
+  this->skyModel->setMaterial(material[1]);
+  this->skyModel->addFace (4, VERTEX_TEXCOORD_NORMAL, 6,3,1, 7,0,1, 1,1,1, 0,2,1); // bottom
+  this->skyModel->setMaterial(material[2]);
+  this->skyModel->addFace (4, VERTEX_TEXCOORD_NORMAL, 0,0,2, 1,1,2, 3,2,2, 2,3,2); // left
+  this->skyModel->setMaterial(material[3]);
+  this->skyModel->addFace (4, VERTEX_TEXCOORD_NORMAL, 4,2,0, 5,3,0, 7,0,0, 6,1,0); // right
+  this->skyModel->setMaterial(material[4]);
+  this->skyModel->addFace (4, VERTEX_TEXCOORD_NORMAL, 1,0,5, 7,1,5, 5,2,5, 3,3,6); // front
+  this->skyModel->setMaterial(material[5]);
+  this->skyModel->addFace (4, VERTEX_TEXCOORD_NORMAL, 6,0,4, 0,1,4, 2,2,4, 4,3,4); // back
   
-  model->finalize();
-}
+  this->skyModel->finalize();
+}
Index: /orxonox/branches/movie_player/src/world_entities/skybox.h
===================================================================
--- /orxonox/branches/movie_player/src/world_entities/skybox.h	(revision 4216)
+++ /orxonox/branches/movie_player/src/world_entities/skybox.h	(revision 4217)
@@ -39,4 +39,5 @@
   void rebuild();
 
+  Model* skyModel;        //!< A Model for the Sky. This must not be the same as the Model from WorldEntity, because it is not alocated through the ResourceManager.
   Material **material;    //!< Materials for the SkyBox. sorted by number (0-5) top, bottom, left, right, front, back
   float size;             //!< Size of the SkyBox. This should match the frustum maximum range.
Index: /orxonox/branches/movie_player/src/world_entities/skysphere.cc
===================================================================
--- /orxonox/branches/movie_player/src/world_entities/skysphere.cc	(revision 4216)
+++ /orxonox/branches/movie_player/src/world_entities/skysphere.cc	(revision 4217)
@@ -44,5 +44,5 @@
 {
   if (fileName == NULL)
-    this->initialize("../data/pictures/sky-replace.jpg");
+    this->initialize("pictures/sky-replace.jpg");
   else
     this->initialize(fileName);
Index: /orxonox/branches/movie_player/src/world_entities/terrain.cc
===================================================================
--- /orxonox/branches/movie_player/src/world_entities/terrain.cc	(revision 4216)
+++ /orxonox/branches/movie_player/src/world_entities/terrain.cc	(revision 4217)
@@ -77,7 +77,7 @@
 void Terrain::init(void)
 {
-   this->setClassName ("Terrain");
-
-   this->objectList = 0;
+  this->setClassName ("Terrain");
+  
+  this->objectList = 0;
 }
 
@@ -98,9 +98,8 @@
   glMultMatrixf((float*)matrix);
 
-  if (objectList)
-    glCallList(objectList);
-  else if (model)
-    model->draw();
-  //  this->model->draw();
+  if (this->objectList)
+    glCallList(this->objectList);
+  else if (this->model)
+    this->model->draw();
   glPopMatrix();
 }
Index: /orxonox/branches/movie_player/src/world_entities/world_entity.cc
===================================================================
--- /orxonox/branches/movie_player/src/world_entities/world_entity.cc	(revision 4216)
+++ /orxonox/branches/movie_player/src/world_entities/world_entity.cc	(revision 4217)
@@ -30,11 +30,4 @@
 /**
    \brief standard constructor
-   
-   Every derived contructor HAS to call the previous one supplying the isFree parameter. This is necessary to distunguish
-   between free and bound entities. The difference between them is simply the fact that the movement of a free entity is
-   not bound to the track of a world. Use this to implement projectile or effect classes that do not have to travel along the track.
-   To specify an entity to be free or bound set the default parameter in the declaration of the constructor.
-   Theoretically you should never have to call the constructor of an Entity directly, for it is called by the spawn() function of the World
-   class. So if you want to create a new entity at any time, call World::spawn(). It will handle everything that is necessary.
 */
 WorldEntity::WorldEntity ()
@@ -46,4 +39,7 @@
 }
 
+/**
+   \brief Loads the WordEntity-specific Part of any derived Class
+*/
 WorldEntity::WorldEntity(TiXmlElement* root)
 {
@@ -54,5 +50,5 @@
   if( string == NULL)
     {
-      PRINTF(0)("WorldEntity is missing a proper 'name'\n");
+      PRINTF(2)("WorldEntity is missing a proper 'name'\n");
       string = "Unknown";
       temp = new char[strlen(string + 2)];
@@ -73,12 +69,11 @@
   else
     {
-      PRINTF(0)("WorldEntity is missing a proper 'model'\n");
+      PRINTF(2)("WorldEntity is missing a proper 'model'\n");
       this->model = NULL;
     }
   if( this->model == NULL)
     {
-      PRINTF(0)("WorldEntity model '%s' could not be loaded\n", string);
-    }
-
+      PRINTF(2)("WorldEntity model '%s' could not be loaded\n", string);
+    }
   this->bDraw = true;
 }
